<script setup>
import { RouterLink, RouterView } from 'vue-router'
</script>





<template>
  <div class="container" style="margin: 0">
    <nav class="navbar navbar-expand-lg navbar-light bg-light" id="nav">
      <div class="container" style="margin-left: 0.1rem;">
        <div class="navbar-nav mr-auto">
          <router-link to="/ping" class="nav-item nav-link">Home</router-link>
          <router-link to="/manufacturer" class="nav-item nav-link">Manufacturer</router-link>
          <router-link to="/transporter" class="nav-link">Transporter</router-link>
          <router-link to="/user" class="nav-link">User</router-link>
          <router-link to="/dpp" class="nav-link">DPP</router-link>
        </div>
      </div>
    </nav>
    <router-view />
  </div>
</template>
  


<style scoped>
#nav {
  padding: 0.1rem;
  text-align: center;
}

.navbar {
  display: block;
}

#nav a {
  font-weight: bold;
  color: #2c3e50;
}

#nav a.router-link-exact-active {
  color: whitesmoke;
  background: crimson;
  border-radius: .5rem;
}
</style>